Passer au contenu principal
POST
/
cms
/
v3
/
blogs
/
authors
/
batch
/
create
Create a batch of Blog Authors
curl --request POST \
  --url https://api.hubapi.com/cms/v3/blogs/authors/batch/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "avatar": "<string>",
      "bio": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "displayName": "<string>",
      "email": "<string>",
      "facebook": "<string>",
      "fullName": "<string>",
      "id": "<string>",
      "linkedin": "<string>",
      "name": "<string>",
      "slug": "<string>",
      "translatedFromId": 123,
      "twitter": "<string>",
      "updated": "2023-11-07T05:31:56Z",
      "website": "<string>"
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "avatar": "<string>",
      "bio": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "displayName": "<string>",
      "email": "<string>",
      "facebook": "<string>",
      "fullName": "<string>",
      "id": "<string>",
      "linkedin": "<string>",
      "name": "<string>",
      "slug": "<string>",
      "translatedFromId": 123,
      "twitter": "<string>",
      "updated": "2023-11-07T05:31:56Z",
      "website": "<string>"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Corps

application/json

Wrapper for providing an array of blog authors as inputs.

inputs
object[]
requis

Blog authors to input.

Réponse

successful operation

Response object for batch operations on blog authors.

completedAt
string<date-time>
requis

Time of batch operation completion.

results
object[]
requis

Results of batch operation.

startedAt
string<date-time>
requis

Time of batch operation start.

status
enum<string>
requis

Status of batch operation.

Options disponibles:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

Links associated with batch operation.

requestedAt
string<date-time>

Time of batch operation request.

Last modified on April 2, 2026